Package Details: openlp-bzr r2721-1

Git Clone URL: https://aur.archlinux.org/openlp-bzr.git (read-only)
Package Base: openlp-bzr
Description: Church presentation software.
Upstream URL: http://openlp.org/
Licenses: GPLv2
Conflicts: openlp
Provides: openlp
Submitter: thelinuxguy
Maintainer: thelinuxguy
Last Packager: thelinuxguy
Votes: 0
Popularity: 0.000000
First Submitted: 2015-12-22 10:16
Last Updated: 2017-02-23 15:19

Dependencies (19)

Required by (0)

Sources (2)

Latest Comments

thelinuxguy commented on 2017-09-01 19:30

Thanks kemuel. I'll see that I get the new dependencies in soon. I'm no longer using this package, only the non-bzr version. So if you would like to (co-)maintain it, I'd be happy to make you one :-)

kemuel commented on 2017-09-01 09:56

There's some new dependencies in the latest trunk:

* python-webob
* python-waitress
and
* python-websockets

however I could not find a package for python-websockets so had to install it with pip.

Link to updated PKGBUILD: https://pastebin.com/s3UsDbKL


---
BTW.
I could'nt get OpenLP to recognize Libreoffice. But finally found that it is a bug in Libreoffice that seems to persist version after version.

after changing:

'os.putenv("URE_BOOTSTRAP", "vnd.sun.start.pathname:/usr/lib/libreoffice/program/fundamentalrc'

to:

'os.putenv("URE_BOOTSTRAP", "vnd.sun.star.pathname:/usr/lib/libreoffice/program/fundamentalrc'

in the beginning of:

'/usr/lib/libreoffice/program/uno.py'

OpenLP finally recognizes Libreoffice.

thelinuxguy commented on 2016-12-01 23:37

pylint is only useful for testing
pyicu and pyodbc are windows only and irrelevant on linux for anything other than testing

I'm removing the check() function
If you want to actually develop, I wouldn't recommend using a package for it...

kemuel commented on 2016-11-20 19:43

This package failed to build..
It is missing the following packages on the dependency-list:

python-pylint
python-pyicu
python-pyodbc

after installing those, the install went fine..

ioangogo commented on 2016-08-24 14:00

It seems to be missing the dependency python2-pyodbc causing the build to fail

thelinuxguy commented on 2016-07-09 11:16

whoops, I missed that. Thanks for notifying me :-)

kemuel commented on 2016-07-09 09:43

pyhon-six ?? i think you mean python-six ;)